V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
爱意满满的作品展示区。
freshgoose
V2EX  ›  分享创造

spring initializr 不支持 Java 8 了,我自己搭建了个旧版的

  •  
  •   freshgoose ·
    panyanyany · 60 天前 · 2442 次点击
    这是一个创建于 60 天前的主题,其中的信息可能已经有所发展或是发生改变。

    翻了翻 commit 历史,凭我半吊子的 java 知识,终于把这个站搭建起来了:

    https://springinitializrjava8.cc

    想要自己在本地搭建的,可以拉我这个仓库:panyanyany/spring-initializr-java-8: Spring Initializr for Java 8 and java 11

    或者直接 docker 安装:

    docker run -p 8080:8080 pan0x744/spring-initializr-java-8
    

    打开 http://localhost:8080/ 就是旧版了。

    11 条回复    2024-04-21 14:51:18 +08:00
    anyele
        1
    anyele  
       60 天前 via Android
    用旧版的意义是什么?
    blankmiss
        2
    blankmiss  
       60 天前
    为什么要开倒车
    noreplay
        3
    noreplay  
       60 天前 via Android
    遗老遗少
    ecloud
        4
    ecloud  
       59 天前
    祖宗之法?
    siweipancc
        5
    siweipancc  
       59 天前 via iPhone
    啊?
    weijancc
        6
    weijancc  
       59 天前
    只有老项目没必要升级 jdk, 会有部分 package 在新版本无法直接使用, 如果是新项目, 则没必要使用 jdk8.
    coolfan
        7
    coolfan  
       59 天前
    阿里的也可以用吧
    selca
        8
    selca  
       59 天前
    不是说 sb3 不支持 Java8 了吗
    luozic
        9
    luozic  
       59 天前
    spring boot 3 开始? 有支持 java 8 ?
    还是老版本 spring boot 的安全漏洞/bug 自己修?
    dengjunwen
        10
    dengjunwen  
       58 天前 via Android
    @blankmiss 我感觉你在暗示什么
    dengjunwen
        11
    dengjunwen  
       58 天前 via Android
    @blankmiss:)
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   5554 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 24ms · UTC 01:37 · PVG 09:37 · LAX 18:37 · JFK 21:37
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.